Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88229 - RH9 Installer dies after setting partitions
Summary: RH9 Installer dies after setting partitions
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda
Version: 9
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL: http://www-ccar.colorado.edu/~jasp2/a...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-07 22:15 UTC by System Administrator
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-18 20:46:08 UTC


Attachments (Terms of Use)

Description System Administrator 2003-04-07 22:15:58 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.3) Gecko/20030312

Description of problem:
The installer seems to take offense at me changing the partitions.  I have tried
several different variations.  The install halts and complains that this "is
most likely a bug" it seems to always give me anaconda as the possible culprit.

However... I had one default install work just fine.  i.e. I checked on
"workstation" and used the default partition scheme and it worked fine.  5 other
attempts where I have set partition sizes have all failed, usually before
getting to package selection, but not always.

Version-Release number of selected component (if applicable):
anaconda

How reproducible:
Always

Steps to Reproduce:
Qualifier on "Every time" : every time I try to set the partitions by hand,
regardless of size or number.
1.start the install
2.select the partitions with disk druid 
2a. When doing a text-based install it seems to look at the drive right after
this step and it fails with the "bug" message. Using the GUI install it doesn't
seem to look for the drive til after pkg selection...
3.If it gets to package selection, select packges
4.Start install
5.watch cd spin and drive light blink for 5-7 minutes.
6.Read error message and save system state to floppy
    

Actual Results:  I have to abort install

Expected Results:  install should continue

Additional info:

http://www-ccar.colorado.edu/~jasp2/anacdump.txt

I'm placing the bug report severity as high, because ability to custom install
is severely hindered.  I will test on a few more platforms to see if it is
repeatable on them, I figured you would want the system state info as soon as
possible though, in case it does give good info on a potential bug in anaconda.

Comment 1 Michael Fulbright 2003-04-08 16:31:01 UTC
Please test your CD(s). The error log shows dozens of read errors fromt the CD
drive.

Comment 2 Michael Fulbright 2003-06-18 20:46:08 UTC
Closing due to inactivity - please reopen if you have additional information to add.


Note You need to log in before you can comment on or make changes to this bug.